import request from '@/utils/request';

export function getGroupPerformanceLsList(params) {
  return request({
    url: '/group/performance/ls/list',
    method: 'get',
    params
  });
}

export function getGroupPerformanceGsList(params) {
  return request({
    url: '/group/performance/gs/list',
    method: 'get',
    params
  });
}

export function getGroupPerformanceLsCustList(params) {
  return request({
    url: '/group/performance/ls/custList',
    method: 'get',
    params
  });
}

export function getGroupPerformanceGsCustList(params) {
  return request({
    url: '/group/performance/gs/custList',
    method: 'get',
    params
  });
}

export function exportGroupPerformanceLs(params) {
  return request({
    url: '/group/performance/exportLs',
    method: 'get',
    params,
    responseType: 'blob'
  });
}

export function exportGroupPerformanceGs(params) {
  return request({
    url: '/group/performance/exportGs',
    method: 'get',
    params,
    responseType: 'blob'
  });
}

export function exportGroupPerformanceLsCust(params) {
  return request({
    url: '/group/performance/exportLsCust',
    method: 'get',
    params,
    responseType: 'blob'
  });
}

export function exportGroupPerformanceGsCust(params) {
  return request({
    url: '/group/performance/exportGsCust',
    method: 'get',
    params,
    responseType: 'blob'
  });
}
